Search the data catalog
GET
/v1/workspaces/{workspaceId}/catalog
const url = 'https://shareout.site/v1/workspaces/example/catalog?status=draft';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shareout.site/v1/workspaces/example/catalog?status=draft' \ --header 'Authorization: Bearer <token>'Returns entries matching filters plus facet counts. Returns enabled false when the catalog is off.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string
Workspace ID or slug.
Query Parameters
Section titled “Query Parameters”q
string
kind
string
domain
string
status
string
tag
string
Responses
Section titled “Responses”Search results
